Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.mdex
Enum MDEXAttribute.PropertyType

    java.lang.Object
      java.lang.Enum<MDEXAttribute.PropertyType>
          com.endeca.portal.mdex.MDEXAttribute.PropertyType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MDEXAttribute.PropertyType>

Enclosing class:
  MDEXAttribute

    public static enum MDEXAttribute.PropertyType

extends java.lang.Enum<MDEXAttribute.PropertyType>

Enum Constant Summary
`BOOLEAN`
`DATETIME`
`DIMENSION`
`DOUBLE`
`GEOCODE`
`INT`
`LONG`
`STRING`
`UNKNOWN`

Method Summary
`static MDEXAttribute.PropertyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MDEXAttribute.PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIMENSION

    public static final MDEXAttribute.PropertyType DIMENSION

### BOOLEAN

    public static final MDEXAttribute.PropertyType BOOLEAN

### STRING

    public static final MDEXAttribute.PropertyType STRING

### INT

    public static final MDEXAttribute.PropertyType INT

### DOUBLE

    public static final MDEXAttribute.PropertyType DOUBLE

### LONG

    public static final MDEXAttribute.PropertyType LONG

### GEOCODE

    public static final MDEXAttribute.PropertyType GEOCODE

### DATETIME

    public static final MDEXAttribute.PropertyType DATETIME

### UNKNOWN

    public static final MDEXAttribute.PropertyType UNKNOWN

Method Detail

### values

    public static final MDEXAttribute.PropertyType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MDEXAttribute.PropertyType c : MDEXAttribute.PropertyType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MDEXAttribute.PropertyType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD